local sp = CompactBars:GetModule("spells")
local deathknight = {
        Dots = {
            -- Death Knight
            -- Frost Fever
            [55095] = [[return 12 + (3* select(5, GetTalentInfo(1,4)))]],
            -- Blood Plague
            [55078] = [[return 12 + (3* select(5, GetTalentInfo(1,4)))]],
        },
        Debuffs = {
            -- chains of ice
            [45524] = [[return 10]],
            -- strangulate
            [49916] = 49913,
            [49915] = 49913,
            [49914] = 49913,
            [49913] = [[return 5]],
            -- death and decay
            [43265] = [[return 10]],
            [49936] = 43265,
            [49937] = 43265,
            [49938] = 43265,
            -- mark of blood
            [49005] = [[return 20]],
        },
        Shortbuffs = {
            -- icebound fort
            [48792] = [[return CompactBars.sp:GPB(48792)]],
            -- raise dead
            [46584] = [[if select(5, GetTalentInfo(3, 19)) == 0 then return 2*60 end]],
            -- blood tap
            [45529] = [[return CompactBars.sp:GPB(45529)]],
            -- anti magic shell
            [48707] = [[return CompactBars.sp:GPB(48707)]],
            -- unholy blight
            [49194] = [[return CompactBars.sp:GPB(49194)]],
            [51376] = 49194,
            [51378] = 49194,
            [51379] = 49194,
            -- summon gargoyle
            [49206] = [[return CompactBars.sp:GPB(49206)]],
            -- bone armor
            [54467] = [[return CompactBars.sp:GPB(54467)]],
            -- horn of winter
            [57330] = [[return CompactBars.sp:GPB(57330)]],
            [57623] = [[return CompactBars.sp:GPB(57623)]],
            -- unholy strength
            [53365] = [[return CompactBars.sp:GPB(53365)]],
            -- killing machine
            [51124] = [[return CompactBars.sp:GPB(51124)]],
            -- freezing fog
            [59052] = [[return CompactBars.sp:GPB(59052)]],
            -- ebon plague
            [51735] = [[return CompactBars.sp:GPB(51735)]],
            -- abominations might
            [53137] = [[return CompactBars.sp:GPB(53137)]],
            -- blody vengenance
            [50447] = 50449,
            [50448] = 50449,
            [50449] = [[return CompactBars.sp:GPB(50449)]],
            -- dancing runeblade
            [49028] = [[return CompactBars.sp:GPB(49028)]],
            -- deathchill
            [49796] = [[return CompactBars.sp:GPB(49796)]],
            -- hungering cold
            [49203] = [[return CompactBars.sp:GPB(49203)]],
            -- hysteria
            [49016] = [[return CompactBars.sp:GPB(49016)]],
            -- lichborne
            [49039] = [[return CompactBars.sp:GPB(49039)]],
            -- death trance!
            --[50466] = [[return CompactBars.sp:GPB(50466)]],
            -- unbreakable armor
            [51271] = [[return CompactBars.sp:GPB(51271)]],
            -- vampiric blood
            [55233] = [[return CompactBars.sp:GPB(55233)]],
            -- glyph of blood boil
            [58617] = [[return CompactBars.sp:GPB(58617)]],
            -- scent of blood 
            [50421] = [[return CompactBars.sp:GPB(50421)]],

        },
        Cooldowns = {
            -- vampiric blood
            [55233] = 48792,
            -- unbreakable armor
            [51271] = 48792,
            -- mark of blood
            [49005] = 48792,
            -- lichborne
            [49039] = 48792,
            -- hysteria
            [49016] = 48792,
            -- hungering cold
            [49203] = 48792,
            -- deathchill
            [49796] = 48792,
            -- dancing runeblade
            [49028] = 48792,
            -- corpse explosion
            [49158] = 48792,
            -- anti-magic zone
            [51052] = 48792,
            -- abominations might
            [53137] = 48792,
            -- horn of winter
            [57330] = 48792,
            [57623] = 48792,
            -- summon gargoyle
            [49206] = 48792,
            -- bone armor
            [54467] = 48792,
            -- icebound fort
            [48792] = [[return 0]],
            -- howling blast
            [51408] = [[return 0]],
            [49184] = 51408,
            [51409] = 51408,
            [51410] = 51408,
            [51411] = 51408,
            -- death and decay
            [43265] = [[return 0]],
            [49936] = 43265,
            [49937] = 43265,
            [49938] = 43265,
            -- death grip
            [49576] = [[return 0]],
            -- raise dead
            [46584] = [[return 0]],
            -- mind freeze
            [47528] = [[return 0]],
            -- strangulate
            [49916] = 49913,
            [49915] = 49913,
            [49914] = 49913,
            [49913] = [[return 0]],
            -- blood tap
            [45529] = [[return 0]],
            -- death pact
            [48743] = [[return 0]],
            -- anti magic shell
            [48707] = [[return 0]],
            -- raise ally
            [61999] = [[return 0]],
            -- army of the dead
            [42650] = [[return 0]], 
        },
}
sp:insertSpells(deathknight, "DEATHKNIGHT")