local sp = CompactBars:GetModule("spells")
local hunter = { Dots = {
            -- Hunter
            -- volley
            [42243] = [[return CompactBars.sp:GMTD(42243)]],
            [42244] = 42243,
            [42245] = 42243,
            [42234] = 42243,
            [58432] = 42243,
            [58433] = 42243,
            -- explosive track
            [13813] = [[return 20]],
            [14316] = 13813,
            [14317] = 13813,
            [27025] = 13813,
            [49066] = 13813,
            [49067] = 13813,

            -- Wyvern Sting
            [24132] = 19386,
            [24133] = 19386,
            [27068] = 19386,
            [49011] = 19386,
            [49012] = 19386,
            [19386] = [[return CompactBars.sp:GMTD(19386)]],
            -- Serpent Sting
            [13549] = 1978,
            [13550] = 1978,
            [13551] = 1978,
            [13552] = 1978,
            [13553] = 1978,
            [13554] = 1978,
            [13555] = 1978,
            [25295] = 1978,
            [27016] = 1978,
            [49000] = 1978,
            [49001] = 1978,
            [1978] = [[return CompactBars.sp:GMTD(1978)]],
            -- immolation trap
            [13795] = [[return CompactBars.sp:GMTD(13795)]],
            [14302] = 13795,
            [14303] = 13795,
            [14304] = 13795,
            [14305] = 13795,
            [27023] = 13795,
            [49055] = 13795,
            [49056] = 13795,
            -- explosive shot
            [53301] = [[return 2]],
            [60051] = 53301,
            [60052] = 53301,
            [60053] = 53301,
            
        },
        Cooldowns = {
            -- bestial wrath
            [19574] = 2973,
            -- freezing arrow
            [60192] = 2973,
            -- master's call
            [53271] = 2973,
            -- kill shot
            [53351] = 2973,
            -- misdirection
            [34477] = 2973,
            -- disengage
            [781] = 2973,
            -- multi-shot
            [2643] = 2973,
            -- traps (tracked by immolation trap lvl 1)
            [13795] = 2973,
            -- arcane shot
            [3044] = 2973,
            -- concussive shot
            [5116] = 2973,
            -- raptor strike
            [2973] = [[return 0]],
            -- distracting shot
            [20736] = 2973,
            -- scare beast
            [1513] = 2973,
            -- Rapid Fire
            [3045] = 2973,
            -- aimed shot
            [19434] = 2973,
            -- flare
            [1543] = 2973,
            -- viper sting
            [3034] = 2973,
            -- wyvern sting
            [19386] = 2973,
            -- counterattack
            [19306] = 2973,
            -- deterence
            [19263] = 2973,
            -- tranquilizing shot
            [19801] = 2973,
            -- kill command
            [34026] = 2973,
            -- explosive shot
            [53301] = 2973,
            -- chimera shot
            [53209] = 2973,
            -- intimidation
            [19577] = 2973,
            -- silencing shot
            [34490] = 2973,
        },
        Shortbuffs = {
            -- cobra strikes
            [53257] = [[return 10, 2]],
            -- bestial wrath
            [19574] = [[return CompactBars.sp:GPB(19574)]],
            -- master's call
            [53271] = [[return CompactBars.sp:GPB(53271)]],
            -- misdirection
            [34477] = [[return CompactBars.sp:GPB(34477)]],
            -- deterence
            [19263] = [[return CompactBars.sp:GPB(19263)]],
            -- Rapid Fire
            [3045] = [[return CompactBars.sp:GPB(3045)]],
            -- eagle eye
            [6197] = [[return CompactBars.sp:GPB(6197)]],
            -- eyes of the beast
            [1002] = [[return CompactBars.sp:GPB(1002)]],
            -- master tactician
            [34833] = [[return CompactBars.sp:GPB(34833)]],
            [34834] = 34833,
            [34835] = 34833,
            [34836] = 34833,
            [34837] = 34833,
        },
        Debuffs = {            
            
            -- silencing shot
            [34490] = [[return CompactBars.sp:GMTD(34490)]],
            
            -- improved wing clip
            --[19229] = [[return CompactBars.sp:GMTD(19229), 1, {r = 1, g = 0, b = 0, a = 1}]],
            --[35963] = 19229,
            --[47168] = 19229,
            
            -- concussive shot
            [5116] = [[return CompactBars.sp:GMTD(5116)]],
            -- entrapment
            [19185] = [[return 4]],
            -- counterattack
            [19306] = [[return CompactBars.sp:GMTD(19306)]],
            [20909] = 19306,
            [20910] = 19306,
            [27067] = 19306,
            [48998] = 19306,
            [48999] = 19306,
            -- viper sting
            [3034] = [[return CompactBars.sp:GMTD(3034)]],
            
            -- flare
            [1543] = [[return 20]],
            -- aimed shot
            [19434] = [[return CompactBars.sp:GMTD(19434)]],
            [20900] = 19434,
            [20901] = 19434,
            [20902] = 19434,
            [20903] = 19434,
            [20904] = 19434,
            [27065] = 19434,
            [49049] = 19434,
            [49050] = 19434,
            -- hunters mark
            [1130] = [[return CompactBars.sp:GMTD(1130)]],
            [14323] = 1130,
            [14324] = 1130,
            [14325] = 1130,
            [53338] = 1130,
            -- distracting shot
            [20736] = [[return CompactBars.sp:GMTD(20736)]],
            -- wing clip
            [2974] = [[return CompactBars.sp:GMTD(2974)]],
            -- scare beast
            [1513] = [[return CompactBars.sp:GMTD(1513)]],
            [14326] = [[return CompactBars.sp:GMTD(14326)]],
            [14327] = [[return CompactBars.sp:GMTD(14327)]],
        },
        CCs = {
            -- intimidation
            [24394] = [[return CompactBars.sp:GMTD(24394)]],
            -- scatter shot
            [19503] = [[return CompactBars.sp:GMTD(19503)]],
            -- t.n.t
            [56338] = [[return 3]],
            -- freezing trap
            [1499] = [[return 10]],
            [14310] = [[return 15]],
            [14311] = [[return 20]],
        },
        InternalCooldowns = {
            [56453] = [[return 30]],
        }
}
sp:insertSpells(hunter, "HUNTER")