local sp = CompactBars:GetModule("spells")
local warlock = { Dots = {
            -- Immolate
            [707] = 348,
            [1094] = 348,
            [2941] = 348,
            [11665] = 348,
            [11667] = 348,
            [11668] = 348,
            [25309] = 348,
            [27215] = 348,
            [47810] = 348,
            [47811] = 348,
            [348] = [[return CompactBars.sp:GMTD(348)]],
            -- Corruption
            [6222] = 172,
            [6223] = 172,
            [7648] = 172,
            [11671] = 172,
            [11672] = 172,
            [25311] = 172,
            [27216] = 172,
            [47812] = 172,
            [47813] = 172,
            [172] = [[return CompactBars.sp:GMTD(172)]],
            -- Curse of Agony
            [1014] = 980,
            [6217] = 980,
            [11711] = 980,
            [11712] = 980,
            [11713] = 980,
            [27218] = 980,
            [47863] = 980,
            [47864] = 980,
            [980] = [[return CompactBars.sp:GMTD(980)]],
            -- Seed of Corruption
            [47835] = 27243,
            [47836] = 27243,
            [27243] = [[return CompactBars.sp:GMTD(27243)]],
            -- Unstable Affliction
            [30404] = 30108,
            [30405] = 30108,
            [47841] = 30108,
            [47843] = 30108,
            [30108] = [[return CompactBars.sp:GMTD(30108)]],
            -- Haunt
            [59161] = 48181,
            [59163] = 48181,
            [59164] = 48181,
            [48181] = [[return 12]],
            -- drain soul .. is channeled
            --[1120] = [[return CompactBars.sp:GMTD(1120)]],
            --[8288] = 1120,
            --[8289] = 1120,
            --[11675] = 1120,
            --[27217] = 1120,
            --[47855] = 1120,
            -- hellfire
            [1949] = [[return 15]],
            [11683] = 1949,
            [11684] = 1949,
            [27213] = 1949,
            [47823] = 1949,
            -- rain of fire
            [5740] = [[return 8]],
            [6219] = 5740,
            [11677] = 5740,
            [11678] = 5740,
            [27212] = 5740,
            [47819] = 5740,
            [47820] = 5740,
            -- shadowflame
            [47897] = [[return 8]],
            [61290] = 47897,

        },
        Debuffs = {
            -- shadow embrace
            [32386] = [[return CompactBars.sp:GMTD(32386), 2]],
            [32388] = 32386,
            [32389] = 32386,
            [32390] = 32386,
            [32391] = 32386,
            -- pyroclasm
            [18093] = [[retur 3]],
            -- imprved fear (nightmare)
            [60946] = [[return 5]],
            [60947] = [[return 5]],
            -- aftermath
            [18118] = [[return 5]],
            -- curse of the elements
            [1490] = [[return CompactBars.sp:GMTD(1490)]],
            [11721] = 1490,
            [11722] = 1490,
            [27228] = 1490,
            [47865] = 1490,
            -- curse of recklessness
            [704] = [[return CompactBars.sp:GMTD(59671)]],
            [7658] = 704,
            [7659] = 704,
            [11717] = 704,
            [27226] = 704,
            [57595] = 704,
            -- challenging howl
            [59671] = [[return CompactBars.sp:GMTD(59671)]],
            -- curse of weakness
            [702] = [[return CompactBars.sp:GMTD(702)]],
            [1108] = 702,
            [6205] = 702,
            [7646] = 702,
            [11707] = 702,
            [27224] = 702,
            [11708] = 702,
            [30909] = 702,
            [50511] = 702,
            -- curse of tongues
            [1714] = [[return CompactBars.sp:GMTD(1714)]],
            [11719] = 1714,
            
            -- curse of doom
            [603] = [[return CompactBars.sp:GMTD(603)]],
            [30910] = 603,
            [47867] = 603,
            -- curse of exhaustion
            [18223] = [[return CompactBars.sp:GMTD(18223)]],
        },
        CCs = {
            -- demon charge
            [54785] = [[return CompactBars.sp:GMTD(54785)]],
            -- howl of terror
            [5484] = [[return 6]],
            [17928] = [[return 8]],
            -- fear
            [5782] = [[return CompactBars.sp:GMTD(5782)]],
            [6213] = 5782,
            [6215] = 5782,
            -- banish
            [710] = [[return CompactBars.sp:GMTD(710)]],
            [18647] = 710,
            -- death coil
            [6789] = [[return CompactBars.sp:GMTD(6789)]],
            [17925] = 6789,
            [17926] = 6789,
            [27223] = 6789,
            [47859] = 6789,
            [47860] = 6789,
            -- shadowfury
            [30283] = [[return CompactBars.sp:GMTD(30283)]],
            [30413] = 30283,
            [30414] = 30283,
            [47846] = 30283,
            [47847] = 30283,
            
        },
        InternalCooldowns = {
            -- backlash
            [54274] = [[return 8]],
            [47274] = [[return 30]],
        },
        Shortbuffs = {
            -- wrecking crew (enrage)
            [57518] = [[return CompactBars.sp:GPB(57518)]],
            [57519] = 57518,
            [57520] = 57518,
            [57521] = 57518,
            [57522] = 57518,
            -- demonic pact
            [48090] = [[return CompactBars.sp:GPB(48090)]],
            -- nightfall (shadow trance)
            [17941] = [[return CompactBars.sp:GPB(17941)]],
            -- molten core
            [47383] = [[return CompactBars.sp:GPB(47383)]],
            -- metamorphosis
            [47241] = [[return CompactBars.sp:GPB(47241)]],
            -- eradicition
            --[47274] = [[return CompactBars.sp:GPB(47274)]],
            -- empowered imp
            [47283] = [[return CompactBars.sp:GPB(47283)]],
            -- demonic empowerment (maybe this is a buff on the pet!)
            [54436] = [[local name = GetSpellInfo(54436) local dur = select(7, UnitBuff("pet", name)) if not dur then dur = 0 else dur = dur-GetTime() end return dur]],
            [54444] = [[local name = GetSpellInfo(54444) local dur = select(7, UnitBuff("pet", name)) if not dur then dur = 0 else dur = dur-GetTime() end return dur]],
            [54509] = [[local name = GetSpellInfo(54509) local dur = select(7, UnitBuff("pet", name)) if not dur then dur = 0 else dur = dur-GetTime() end return dur]],
            [54508] = [[local name = GetSpellInfo(54508) local dur = select(7, UnitBuff("pet", name)) if not dur then dur = 0 else dur = dur-GetTime() end return dur]],
            [54443] = [[local name = GetSpellInfo(54443) local dur = select(7, UnitBuff("pet", name)) if not dur then dur = 0 else dur = dur-GetTime() end return dur]],
            -- demonic empathy
            --[48069] = [[return CompactBars.sp:GPB(48069)]],
            --[54388] = 48069,
            --[54389] = 48069,
            -- backdraft
            [54274] = [[return CompactBars.sp:GPB(54274)]],
            [54276] = 54274,
            [54277] = 54274,
            -- backlash
            [54274] = [[return CompactBars.sp:GPB(54274)]],
            -- detect invisibility
            [132] = [[return CompactBars.sp:GPB(132)]],
            -- shadow ward
            [6229] = [[return CompactBars.sp:GPB(6229)]],
            [11739] = 6229,
            [11740] = 6229,
            [28610] = 6229,
            [47890] = 6229,
            [47891] = 6229,
            -- unending breath
            [5697] = [[return CompactBars.sp:GPB(5697)]],
        },
        Cooldowns = {
            -- shadow ward
            [6229] = 698,
            -- howl of terror
            [5484] = 698,
            -- conflagerate
            [17962] = 698,
            -- death coil
            [6789] = 698,
            -- inferno
            [1122] = 698,
            -- curse of doom
            [603] = 698,
            -- demon charge
            [54785] = 698,
            -- shadow cleave
            [50581] = 698,
            -- shadowfury
            [30283] = 698,
            -- soulshatter
            [29858] = 698,
            -- ritual of souls
            [29893] = 698,
            -- chaos bolt
            [50796] = 698,
            -- haunt
            [48181] = 698,
            -- shadowflame
            [47897] = 698,
            -- demonic circle: teleport
            [48020] = 698,
            -- demonic empowerment
            [47193] = 698,
            -- fel domination
            [18708] = 698,
            -- metamorphosis
            [47241] = 698,
            -- ritual of summoning
            [698] = [[return 0]],
            -- shadowburn
            [17877] = 698,
        },

}
sp:insertSpells(warlock, "WARLOCK")