local sp = CompactBars:GetModule("spells")
local druid = { Dots = {
            -- huricane
            [16914] = [[return 10]],
            [17401] = 16914,
            [17402] = 16914,
            [27012] = 16914,
            [48467] = 16914,
            
            
            -- infected wounds
            [48483] = [[return 12]],
            [48484] = 48483,
            [48485] = 48483,
            -- entangling roots
            [339] = [[return 12]],
            [1062] = 339,
            [5195] = 339,
            [5196] = 339,
            [9852] = 339,
            [9853] = 339,
            [26989] = 339,
            [53308] = 339,
            -- Moonfire
            [8921] = [[return 9+(3*select(5, GetTalentInfo(1,8)))]],
            [8925] = 8924,
            [8926] = 8924,
            [8927] = 8924,
            [8928] = 8924,
            [8929] = 8924,
            [9833] = 8924,
            [9834] = 8924,
            [9835] = 8924,
            [26987] = 8924,
            [26988] = 8924,
            [48462] = 8924,
            [48463] = 8924,
            [8924] = [[return 12+(3*select(5, GetTalentInfo(1,8)))]], 
                        
            -- Insect Swarm
            [24974] = 5570,
            [24975] = 5570,
            [24976] = 5570,
            [24977] = 5570,
            [27013] = 5570,
            [48468] = 5570,
            [5570] = [[return 12+(2*select(5, GetTalentInfo(1,8)))]], -- check Nature's Spendor (2 second duration increase)
            -- Lacerate
            [48567] = 33745,
            [48568] = 33745,
            [33745] = [[return 15]],
            -- Rip
            [9492] = 1079,
            [9493] = 1079,
            [9752] = 1079,
            [9894] = 1079,
            [9896] = 1079,
            [27008] = 1079,
            [49799] = 1079,
            [49800] = 1079,
            [1079] = [[local count = 0 local tocheck = {d10 = {39553, 39554, 39555, 39556, 39557}, d25 = {40471, 40472, 40473, 40493, 40494}} for i = 1, 5 do if CompactBars:scanItem(tocheck.d10[i]) or CompactBars:scanItem(tocheck.d25[i]) then count = count + 1 end end if count >= 2 then return 12 + 4 return 12]],
            -- Rake
            [1823] = 1822,
            [1824] = 1822,
            [9904] = 1822,
            [27003] = 1822,
            [48574] = 1822,
            [1822] = [[return CompactBars.sp:GMTD(1822)]],
            -- lacerate
            [33745] = [[return CompactBars.sp:GMTD(33745), 5]],
            [48567] = 33745,
            [48568] = 33745,
            
        },
        Debuffs = {
            -- earth and moon 
            [60433] = [[return 12]],
            [60431] = 60433,
            [60432] = 60433,
            -- demoralizing roar debuff
            [99] = [[return 30]],
            [1735] = 99,
            [9490] = 99,
            [9747] = 99,
            [9898] = 99,
            [26998] = 99,
            [48559] = 99,
            [48560] = 99,
            -- feral charge cat debuff
            [49376] = [[return 3]],
            -- mangle bear
            [33878] = [[return 12]],
            [33986] = 33878,
            [33987] = 33878,
            [48563] = 33878,
            [48564] = 33878,
        },
        InternalCooldowns = {
            -- eclipse
            [48518] = [[return 30, 1, {r = 198/255, g = 226/255, b = 1, a = 1}]],
            -- eclipse #2
            [48517] = [[return 30, 1, {r = 1, g = 165/255, b = 79/255, a = 1}]],
        },
        Shortbuffs = {
            -- eclipse
            [48517] = [[return CompactBars.sp:GPB(48517)]],
            -- eclipse
            [48518] = [[return CompactBars.sp:GPB(48518)]],
            -- starfall
            [48505] = [[return CompactBars.sp:GPB(48505)]],
            [53199] = 48505,
            [53200] = 48505,
            [53201] = 48505,
            -- tiger's fury
            [5217] = [[return CompactBars.sp:GPB(5217)]],
            [6793] = 5217,
            [9845] = 5217,
            [9846] = 5217,
            [50212] = 5217,
            [50213] = 5217,
            -- owlkin frenzy buff
            [48389] = 48393,
            [48392] = 48393,
            [48393] = [[return CompactBars.sp:GPB(48393)]],
            -- Savage Roar
            [52610] = [[return CompactBars.sp:GPB(52610)]],
            [50334] = [[return CompactBars.sp:GPB(50334)]],
            [22842] = [[return CompactBars.sp:GPB(22842)]],
            -- nature's grasp shortbuff
            [16689] = 53312,
            [16810] = 53312,
            [16811] = 53312,
            [16812] = 53312,
            [16813] = 53312,
            [17329] = 53312,
            [27009] = 53312,
            [53312] = [[return CompactBars.sp:GPB(53312)]],
            -- enrage
            [5229] = [[return CompactBars.sp:GPB(5229)]],
            -- innervate
            [29166] = [[return CompactBars.sp:GPB(29166)]],
            -- frenzied regeneration
            [22842] = [[return CompactBars.sp:GPB(22842)]],
            -- barkskin
            [22812] = [[return CompactBars.sp:GPB(22812)]],
            -- savage roar
            [52610] = [[return CompactBars.sp:GPB(52610)]],
        },
        Cooldowns = {
            -- force of nature
            [33831] = 6795,
            -- wild growth
            [48438] = 6795,
            -- starfall
            [48505] = 6795,
            -- maim
            [22570] = 6795,
            [49802] = 6795,
            -- typhoon
            [50516] = 6795,
            -- mangle bear
            [33878] = 6795,
            [33986] = 6795,
            [33987] = 6795,
            [48563] = 6795,
            [48564] = 6795,
            -- mangle cat
            -- barkskin
            [22812] = 6795,
            -- cower
            [8998] = 6795,
            [9000] = 6795,
            [9892] = 6795,
            [31709] = 6795,
            [27004] = 6795,
            [48575] = 6795,
            -- omen of clarity buff
            [16864] = 6795,
            -- frenzied regeneration
            [22842] = 6795,
            -- innervate
            [29166] = 6795,
            -- prowl
            [5215] = 6795,
            [6783] = 6795,
            [9913] = 6795,
            -- rebirth
            [20484] = 6795,
            -- tranquility
            [740] = 6795,
            -- tiger's fury
            [5217] = 6795,
            [6793] = 6795,
            [9845] = 6795,
            [9846] = 6795,
            [50212] = 6795,
            [50213] = 6795,
            -- bash
            [5211] = 6795,
            [6798] = 6795,
            [8983] = 6795,
            -- enrage
            [5229] = 6795,
            -- survival instincts
            [61336] = [[return 0]],
            -- growl
            [6795] = [[return 0]],
            -- nature's grasp
            [16689] = 6795,
            --[16810] = 6795,
            --[16811] = 6795,
            --[16812] = 6795,
            --[16813] = 6795,
            --[17329] = 6795,
            --[27009] = 6795,
            --[53312] = 6795,
            -- feral charge
            [16979] = [[return 0]],
        },
        CCs = {
            -- cyclone
            [33786] = [[return CompactBars.sp:GMTD(33786)]],
            -- maim
            [22570] = [[return CompactBars.sp:GMTD(22570)]],
            [49802] = [[return CompactBars.sp:GMTD(49802)]],
            -- pounce
            [9005] = [[return CompactBars.sp:GMTD(9005)]],
            [9823] = 9005,
            [9827] = 9005,
            [27006] = 9005,
            [49803] = 9005,
            -- soothe animal cc
            [2908] = [[return CompactBars.sp:GMTD(2908)]],
            [8955] = 2908,
            [9901] = 2908,
            [26995] = 2908,
            -- feral charge bear
            [16979] = [[return 4]],
            -- bash dur
            [5211] = [[return CompactBars.sp:GMTD(5211)]],
            [6798] = [[return CompactBars.sp:GMTD(6798)]],
            [8983] = [[return CompactBars.sp:GMTD(8983)]],
            -- growl
            [6795] = [[return 3]],
            -- hibernate 
            [2637] = [[return 20]],
            [18657] = 2637,
            [18658] = 2637,
        },
        SharedDebuffs = {
            -- fearie fire -- changes with 3.1
            [770] = 48476,
            [48476] = [[return 40]],
            -- fearie fire feral -- changes with 3.1
            [16857] = 48476,
            [48475] = 48476,
        },
}
sp:insertSpells(druid, "DRUID")