local sp = CompactBars:GetModule("spells")
local mage = {
        Dots = {
            -- Living Bomb
            [55359] = 44457,
            [55360] = 44457,
            [44457] = [[return 12]],
            -- flamestrike
            [2121] = [[return 8]],
            [2120] = 2121,
            [8422] = 2121,
            [8423] = 2121,
            [10215] = 2121,
            [10216] = 2121,
            [27086] = 2121,
            [42925] = 2121,
            [42926] = 2121,
            -- ignite
            [12654] = [[return 4]],
        },
        CCs = {
            --impact
            [12355] = [[return 2]],
            -- polymorph 
            [118] = [[return CompactBars.sp:GMTD(118)]],
            [12824] = 118,
            [12825] = 118,
            [61305] = 118,
            [28272] = 118,
            [12826] = 118,
            [61025] = 118,
            [28271] = 118,
        },
        Debuffs = {
            -- blizzard
            [10] = [[return 8]],
            [6141] = 120,
            [8427] = 120,
            [10185] = 120,
            [10186] = 120,
            [10187] = 120,
            [27085] = 120,
            [42939] = 120,
            [42940] = 120,
            -- cone of cold
            [120] = [[return 8]],
            [8492] = 120,
            [10159] = 120,
            [10160] = 120,
            [10161] = 120,
            [27087] = 120,
            [42930] = 120,
            [42931] = 120,
            
            -- frost nova
            [122] = [[return CompactBars.sp:GMTD(122)]],
            [865] = 122,
            [6131] = 122,
            [10230] = 122,
            [27088] = 122,
            [42917] = 122,
            -- improved scorch
            [22959] = [[return CompactBars.sp:GMTD(22959),5]],
            -- counterspell
            [2139] = [[return CompactBars.sp:GMTD(2139)]],
            -- blast wave
            [11113] = [[return 6]],
            [13018] = 11113,
            [13019] = 11113,
            [13020] = 11113,
            [13021] = 11113,
            [27133] = 11113,
            [33933] = 11113,
            [42944] = 11113,
            [42945] = 11113,
            -- dragon's breath
            [31661] = [[return 5]],
            [33041] = 31661,
            [33042] = 31661,
            [33043] = 31661,
            [42949] = 31661,
            [42950] = 31661,
            -- deep freeze
            [44572] = [[return CompactBars.sp:GMTD(44572)]],
            -- fingers of frost
            [44544] = [[return CompactBars.sp:GMTD(44544)]],
            -- winters chill
            [12579] = [[return CompactBars.sp:GMTD(12579), 5]],
        },
        Shortbuffs = {
            -- presence of mind
            [12043] = [[return CompactBars.sp:GPB(12043)]],
            -- missile barrage
            [44401] = [[return CompactBars.sp:GPB(44401)]],
            -- hot streak
            [48108] = [[return CompactBars.sp:GPB(48108)]],
            -- firestarter
            [54741] = [[return CompactBars.sp:GPB(54741)]],
            -- burning determination
            [54748] = [[return CompactBars.sp:GPB(54748)]],
            -- brain freeze (fireball!)
            [57761] = [[return CompactBars.sp:GPB(57761)]],
            
            -- invisibility
            [66] = [[return CompactBars.sp:GPB(66)]],
            -- ice barrier
            [11426] = [[return CompactBars.sp:GPB(11426)]],
            [13031] = 11426,
            [13032] = 11426,
            [13033] = 11426,
            [27134] = 11426,
            [33405] = 11426,
            [43038] = 11426,
            [43039] = 11426,
            -- ice block
            [45438] = [[return CompactBars.sp:GPB(45438)]],
            -- slow fall
            [130] = [[return CompactBars.sp:GPB(130)]],
            -- icy veins
            [12472] = [[return CompactBars.sp:GPB(12472), nil, {r = 0,g = 0, b = 1, a = 1}]],
            -- arcane blast
            [36032] = [[return 10, 3]],
            -- arcane power
            [12042] = [[return CompactBars.sp:GPB(12042)]],
            -- slow
            [31589] = [[return CompactBars.sp:GPB(31589)]],
            -- fire ward
            [543] = [[return CompactBars.sp:GPB(543)]],
            [8457] = 543,
            [8458] = 543,
            [10223] = 543,
            [10225] = 543,
            [27128] = 543,
            [43010] = 543,
            -- focus magic
            [54648] = [[return CompactBars.sp:GPB(54648)]],
            -- mana shield
            [1463] = [[return CompactBars.sp:GPB(1463)]],
            [8494] = 1463,
            [8495] = 1463,
            [10191] = 1463,
            [10192] = 1463,
            [10193] = 1463,
            [27131] = 1463,
            [43019] = 1463,
            [43020] = 1463,
            -- frost ward
            [6143] = [[return CompactBars.sp:GPB(6143)]],
            [8461] = 6143,
            [8462] = 6143,
            [10177] = 6143,
            [28609] = 6143,
            [32796] = 6143,
            [43012] = 6143,
            -- clearcasting
            [12536] = [[return CompactBars.sp:GPB(12536)]],
            -- combustion
            [28682] = [[return CompactBars.sp:GPB(12536), 10]],
        },
        Cooldowns = {
            -- summon water elemental
            [31687] = 2136,
            -- presence of mind
            [12043] = 2136,
            -- blink
            [1953] = 2136,
            -- deep freeze
            [44572] = 2136,
            -- combustion
            [11129] = 2136,
            -- cold snap
            [11958] = 2136,
            -- ritual of refreshment
            [43987] = 2136,
            -- arcane barrage
            [44425] = 2136,
            -- invisibility
            [66] = 2136,
            -- dragon's breath
            [31661] = 2136,
            -- ice barrier
            [11426] = 2136,
            -- blast wave
            [11113] = 2136,
            -- ice block
            [45438] = 2136,
            -- cone of cold
            [120] = 2136,
            -- counterspell
            [2139] = 2136,
            -- wards (share cd)
            [543] = 2136,
            -- evocation
            [12051] = 2136,
            -- frost nova
            [122] = 2136,
            -- fire blast
            [2136] = [[return 0]],
        }
}
sp:insertSpells(mage, "MAGE")