local sp = CompactBars:GetModule("spells")
local paladin = {
        Dots =  {
            -- blood corruption
            [53742] = [[return CompactBars.sp:GMTD(53742), 5]],
            -- holy vengeance
            [31803] = [[return CompactBars.sp:GMTD(31803), 5]],
            --consecration
            [48819] = [[if CompactBars:checkGlyph(54928) then return 8 + 2 else return 8 end]],
            [26573] = 26573,
            [20116] = 26573,
            [20922] = 26573,
            [20923] = 26573,
            [20924] = 26573,
            [27173] = 26573,
            [48818] = 26573,
        
        },
        Debuffs = {
            -- judgement of justice
            [53407] = [[return CompactBars.sp:GMTD(53407)]],
            -- judgement of light
            [20271] = [[return CompactBars.sp:GMTD(20271)]],
            -- judgement of wisdom
            [53408] = [[return CompactBars.sp:GMTD(53408)]],
            -- turn evil
            [10326] = [[return CompactBars.sp:GMTD(10326)]],
            -- avenger's shield
            [31935] = [[return 10]],
            [32699] = 31935,
            [32700] = 31935,
            [48826] = 31935,
            [48827] = 31935,
            -- vindication
            [67] = [[return 15]],
            [26017] = [[return 15]],
        },
        Cooldowns = {
            -- avenger's shield
            [31935] = 498,
            -- divine shield
            [642] = 498,
            -- hand of salvation
            [1038] = 498,
            -- turn evil
            [10326] = 498,
            -- exorcism
            [879] = 498,
            -- hand of freedom
            [1044] = 498,
            -- lay on hands
            [633] = 498,
            -- righteous defense
            [31789] = 498,
            -- hand of reckoning
            [62124] = 498,
            -- divine protection
            [498] = [[return 0]],
            -- hand of protection
            [1022] = 498,
            --shield of righteousness
            [53600] = 498,
            [61411] = 498,
            --hammer of justice
            [53595] = 498,
           -- judgement of justice
            [53407] = 498,
            -- judgement of light
            [20271] = 498,
            -- judgement of wisdom
            [53408] = 498,
            
            --consecration
            [26573] = 498,
            --holy shield
            [20925] = 498,
            -- divine intervention
            [19752] = 498,
            -- hand of sacrifie
            [6940] = 498,
            -- holy shock
            [20473] = 498,
            -- holy wrath
            [2812] = 498,
            -- avanging wrath
            [31884] = 498,
            -- divine plea
            [54428] = 498,
            -- crusader strike
            [35395] = 498,
            -- divine favor
            [20216] = 498,
            -- divine illumination
            [31842] = 498,
            -- divine storm
            [53385] = 498,
            -- hammer of the righteous
            [53595] = 498,
            -- repentance
            [20066] = 498,
        },
        Shortbuffs = {
            -- the art of war
            [53489] = [[return CompactBars.sp:GPB(53489)]],
            [59578] = 59578,
            
            -- lights grace
            [31834] = [[return CompactBars.sp:GPB(31834)]],
            -- judgement of the pur
            [53655] = [[return CompactBars.sp:GPB(53655)]],
            [53656] = 53655,
            [53657] = 53655,
            [54152] = 53655,
            [54153] = 53655,
            -- infusion of light
            [53672] = [[return CompactBars.sp:GPB(53672)]],
            [54149] = 53672,
            -- divine illumination
            [31842] = [[return CompactBars.sp:GPB(31842)]],
            -- sacred shield
            [53601] = [[return CompactBars.sp:GPB(53601)]],
            -- divine plea
            [54428] = [[return CompactBars.sp:GPB(54428)]],
            -- avanging wrath
            [31884] = [[return CompactBars.sp:GPB(31884)]],
            -- seal of command
            --[20375] = [[return CompactBars.sp:GPB(20375)]],
            -- seal of the martyr
            --[53720] = [[return CompactBars.sp:GPB(53720)]],
            -- seal of corruption
            --[53736] = [[return CompactBars.sp:GPB(53736)]],
            -- seal of blood 
            --[31892] = [[return CompactBars.sp:GPB(31892)]],
            -- seal of vengeance
            --[31801] = [[return CompactBars.sp:GPB(31801)]],
            -- holy shield
            [20925] = [[return CompactBars.sp:GPB(20925)]],
            [20927] = 20925,
            [20928] = 20925,
            [27179] = 20925,
            [48951] = 20925,
            [48952] = 20925,
            -- hammer of wrath
            [24275] = [[return CompactBars.sp:GPB(24275)]],
            -- seal of wisdom
            [20166] = [[return CompactBars.sp:GPB(20166)]],
            -- seal of light
            [20165] = [[return CompactBars.sp:GPB(20165)]],
            -- hand of salvation
            [1038] = [[return CompactBars.sp:GPB(1038)]],
            -- seal of justice
            [20164] = [[return CompactBars.sp:GPB(20164)]],
            -- hand of freedom
            [1044] = [[return CompactBars.sp:GPB(1044)]],
            -- divine protection
            [498] = [[return CompactBars.sp:GPB(498)]],
            -- hand of protection
            [1022] = [[return CompactBars.sp:GPB(1022)]],
        },
        CCs = {
            -- repentance
            [20066] = [[return CompactBars.sp:GMTD(20066)]],
            -- holy wrath
            [2812] = [[return CompactBars.sp:GMTD(2812)]],
            [2812] = 2812,
            [2812] = 2812,
            [2812] = 2812,
            [2812] = 2812,
            --hammer of justice
            [10308] = [[return CompactBars.sp:GMTD(10308)]],
            [5589] = [[return CompactBars.sp:GMTD(5589)]],
            [5588] = [[return CompactBars.sp:GMTD(5588)]],
            [853] = [[return CompactBars.sp:GMTD(853)]],
        },
}
sp:insertSpells(paladin, "PALADIN")