local sp = CompactBars:GetModule("spells")
local priest = { Dots = {
            -- Priest
            -- Devouring Plague
            [19276] = 2944,
            [19277] = 2944,
            [19278] = 2944,
            [19279] = 2944,
            [19280] = 2944,
            [25467] = 2944,
            [48299] = 2944,
            [48300] = 2944,
            [2944] = [[return 24]],
                -- Shadow Word: Pain
            [594] = 589,
            [992] = 589,
            [970] = 589,
            [2767] = 589,
            [10892] = 589,
            [10893] = 589,
            [10894] = 589,
            [25367] = 589,
            [25368] = 589,
            [48124] = 589,
            [48125] = 589,
            [589] = [[return CompactBars.sp:GMTD(589)]],
            -- Vampiric Touch
            [34916] = 34914,
            [34917] = 34914,
            [48159] = 34914,
            [48160] = 34914,
            [34914] = [[return CompactBars.sp:GMTD(34914)]],
            -- mind sear
            [49821] = [[return 10]],
            [53022] = 49821,
            
        },
        Shortbuffs = {
            -- pain suppression
            [33206] = [[return CompactBars.sp:GPB(33206)]],
            -- grace
            [47930] =  [[return CompactBars.sp:GPB(47930)]],
            -- borrowed time
            [59887] = [[return CompactBars.sp:GPB(59887)]],
            -- blessed resilience
            [33143] = [[return CompactBars.sp:GPB(33143)]],
            -- levitate
            [1706] = [[return CompactBars.sp:GPB(1706)]],
            -- fear ward
            [6346] = [[return CompactBars.sp:GPB(6346)]],
            -- dispersion
            [47585] = [[return CompactBars.sp:GPB(47585)]],
            -- power word: shield
            [17] = [[return CompactBars.sp:GPB(17)]],
            [592] = 17,
            [600] = 17,
            [3747] = 17,
            [6065] = 17,
            [6066] = 17,
            [10898] = 17,
            [10899] = 17,
            [10900] = 17,
            [10901] = 17,
            [25217] = 17,
            [25218] = 17,
            [48065] = 17,
            [48066] = 17,
            -- fade
            [586] = [[return CompactBars.sp:GPB(586)]],
            -- holy concentration (clearcasting)
            --[34754] = [[return CompactBars.sp:GPB(34754)]],
            -- holy concentration
            [34754] = [[return CompactBars.sp:GPB(34754)]],
            [34859] = 34754,
            [34860] = 34754,
            -- improved spirit tap
            [49694] = [[return CompactBars.sp:GPB(49694)]],
            [59000] = 49694,
            -- spirit tap
            [15271] = [[return CompactBars.sp:GPB(15271)]],
            -- vampiric embrace
            [15286] = [[return CompactBars.sp:GPB(15286)]],
            -- martyrdom (focused casting)
            [14743] = [[return CompactBars.sp:GPB(14743)]],
            [27828] = 14743,
            -- spirit of redemption
            [20711] = [[return CompactBars.sp:GPB(20711)]],
            -- surge of light
            [33151] = [[return CompactBars.sp:GPB(33151)]],
        },
        Cooldowns = {
            -- silence
            [15487] = 17,
            -- pain suppression
            [33206] = 17,
            -- inner focus
            [14751] = 17,
            -- vampiric embrace
            [15286] = 17,
            -- guardian spirit
            [47788] = 17,
            -- divine hymn
            [47951] = 17,
            -- penance
            [47540] = 17,
            -- prayer of mending
            [33076] = 17,
            -- shadowfiend
            [34433] = 17,
            -- shadow word: death
            [32379] = 17,
            -- hymn of hope
            [60931] = 17,
            -- circle of healing
            [34861] = 17,
            -- lightwell
            [724] = 17,
            -- holy nova
            [15237] = 17,
            -- holy fire
            [14914] = 17,
            -- dispersion
            [47585] = 17,
            -- fear ward
            [6346] = 17,
            -- psychic scream
            [8122] = 17,
            -- mind blast
            [8092] = 17,
            -- fade
            [586] = 17,
            -- power word: shield
            [17] = [[return 0]],
            -- desperate prayer
            [19236] = 17,
        },
        Debuffs = {
            -- blackout
            [44415] = [[return 3]],
            -- mind soothe
            [453] = [[return CompactBars.sp:GMTD(453)]],
            -- silence
            [15487] = [[return CompactBars.sp:GMTD(15487)]],
            -- misery
            [33196] = [[return CompactBars.sp:GMTD(33196)]],
            [33197] = 33196,
            [33198] = 33196,
        },
        CCs = {
            
            -- psychic scream
            [8122] = [[if CompactBars:checkGlyph(55676) then return 8 + 1 else return 8 end]],
            [8124] = 8122,
            [10888] = 8122,
            [10890] = 8122,
            -- divine hmyn
            [47951] = [[return 20]],
            -- shackle undead
            [9484] = [[return CompactBars.sp:GMTD(9484)]],
            [9485] = 9484,
            [10955] = 9484,
        
        },
}
sp:insertSpells(priest, "PRIEST")