local sp = CompactBars:GetModule("spells")
local shaman = { Dots = {
            -- Flame Shock
            [8052] = 8050,
            [8053] = 8050,
            [10447] = 8050,
            [10448] = 8050,
            [29228] = 8050,
            [25457] = 8050,
            [49232] = 8050,
            [49233] = 8050,
            [8050] = [[return CompactBars.sp:GMTD(8050)]],
        },
        Shortbuffs = {
            -- water shield
            [52127] = [[return CompactBars.sp:GMTD(52127)]],
            [52129] = 52127,
            [52131] = 52127,
            [52134] = 52127,
            [52136] = 52127,
            [52138] = 52127,
            [24398] = 52127,
            [33736] = 52127,
            [57960] = 52127,
            -- lightning shield
            [324] = [[return CompactBars.sp:GPB(324), 3 +  2 * select(5, GetTalentInfo(2,21))]],
            [325] = 324,
            [905] = 324,
            [945] = 324,
            [8134] = 324,
            [10431] = 324,
            [10432] = 324,
            [25469] = 324,
            [25472] = 324,
            [49280] = 324,
            [49281] = 324,
            -- water breathing
            [131] = [[return CompactBars.sp:GPB(131)]],
            -- far sight
            [6196] = [[return CompactBars.sp:GPB(6196)]],
            -- water walking
            [546] = [[return CompactBars.sp:GPB(546)]],
            -- earth shield
            [974] = [[return CompactBars.sp:GPB(974), 6 + select(5, GetTalentInfo(3,24))]],
            [32593] = 974,
            [32594] = 974,
            [49283] = 974,
            [49284] = 974,
            -- riptide
            [61295] = [[return CompactBars.sp:GPB(61295)]],
            [61299] = 61295,
            [61300] = 61295,
            [61301] = 61295,
            -- elemental devestation
            [30165] = [[return CompactBars.sp:GPB(61295)]],
            [29177] = 30165,
            [29178] = 30165,
            -- clearcasting
            [16246] = [[return CompactBars.sp:GPB(16246)]],
            [16870] = 16246,
            -- elemental mastery
            [16166] = [[return CompactBars.sp:GPB(16166)]],
            -- elemental oath
            [53410] = [[return CompactBars.sp:GPB(53410)]],
            [53414] = 53410,
            -- flurry
            [16257] = [[return CompactBars.sp:GPB(16257)]],
            [16277] = 16257,
            [16278] = 16257,
            [16279] = 16257,
            [16280] = 16257,
            -- maelstrom weapon
            [53817] = [[return CompactBars.sp:GPB(17364), 5]],
            -- nature's swiftness
            [16188] = [[return CompactBars.sp:GPB(16188)]],
            -- tidal focus
            [55198] = [[return CompactBars.sp:GPB(55198)]],
            -- shamanistic rage
            [30823] = [[return CompactBars.sp:GPB(30823)]],
            -- tidal waves
            [53390] = [[return CompactBars.sp:GPB(53390)]],
            -- unleashed rage
            [30803] = [[return CompactBars.sp:GPB(53390)]],
            [30804] = 30803,
            [30805] = 30803,
            [30806] = 30803,
            [30807] = 30803,
        },
        Cooldowns = {
            -- tidal focus
            [55198] = 8042,
            -- shamanistic rage
            [30823] = 8042,
            -- nature's swiftness
            [16188] = 8042,
            -- mana tide totem
            [16190] = 8042,
            -- lava lash
            [60103] = 8042,
            -- stormstrike
            [17364] = 8042,
            -- feral spirit
            [51533] = 8042,
            -- elemental mastery
            [16166] = 8042,
            -- hex
            [51514] = 8042,
            -- lava burst
            [51505] = 8042,
            -- thunderstorm
            [51490] = 8042,
            -- riptide
            [61295] = 8042,
            -- fire elemental
            [2894] = 8042,
            -- earth elemental
            [2062] = 8042,
            -- chain lightning
            [421] = 8042,
            -- reincarnation (a bit to long imo)
            --[20608] = 8042,
            -- grounding totem
            [8177] = 8042,
            -- stoneclaw totem
            [5730] = 8042,
            -- fire nova totem
            [1535] = 8042,
            -- shocks (tracked by flame shock r1)
            [8042] = [[return 0]],
            
        },
        Debuffs = {
            
            [17364] = [[return CompactBars.sp:GMTD(17364), 2 + select(5, GetTalentInfo(2,23))]],
        },
        CCs = {
            -- hex
            [51514] = [[return CompactBars.sp:GMTD(51514)]],
        },
}
sp:insertSpells(shaman, "SHAMAN")